with GNATCOM.Dispinterface;

package MSHTML.IDOMException_Interface is

   type IDOMException_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IDOMException_Type);

   function Pointer (This : IDOMException_Type)
     return Pointer_To_IDOMException;

   procedure Attach (This    : in out IDOMException_Type;
                     Pointer : in     Pointer_To_IDOMException);

   procedure Put_code
     (This : IDOMException_Type;
      p    : Interfaces.C.long);

   function Get_code
     (This : IDOMException_Type)
     return Interfaces.C.long;

   function Get_message
     (This : IDOMException_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IDOMException_Interface;

